$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.25.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.25.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '32F83999B64C7FA3BEE4F63533402D62C1E3A5271D2C34FA0FDF6E121446F9D4'
  checksumType = 'sha256'
  checksum64 = '32F83999B64C7FA3BEE4F63533402D62C1E3A5271D2C34FA0FDF6E121446F9D4'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.25-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
